Below is the list of changes that have just been committed into a local
5.0 repository of joerg. When joerg does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html
ChangeSet@stripped, 2006-11-07 16:58:38+01:00, joerg@trift2. +2 -0
Merge trift2.:/MySQL/M41/bug17194-4.1
into trift2.:/MySQL/M50/bug17194-5.0
MERGE: 1.1616.2773.2
mysql-test/mysql-test-run.pl@stripped, 2006-11-07 16:58:33+01:00, joerg@trift2. +0 -0
Auto merged
MERGE: 1.8.9.12
mysql-test/mysql-test-run.sh@stripped, 2006-11-07 16:58:33+01:00, joerg@trift2. +0 -0
Auto merged
MERGE: 1.208.1.61
# This is a BitKeeper patch. What follows are the unified diffs for the
# set of deltas contained in the patch. The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User: joerg
# Host: trift2.
# Root: /MySQL/M50/bug17194-5.0/RESYNC
--- 1.308/mysql-test/mysql-test-run.sh 2006-11-07 16:58:44 +01:00
+++ 1.309/mysql-test/mysql-test-run.sh 2006-11-07 16:58:44 +01:00
@@ -174,18 +174,29 @@
# Misc. Definitions
#--
-if [ -d ../sql ] ; then
+# BASEDIR is always above mysql-test directory ...
+MYSQL_TEST_DIR=`pwd`
+cd ..
+
+if [ -d ./sql ] ; then
SOURCE_DIST=1
else
BINARY_DIST=1
fi
-#BASEDIR is always one above mysql-test directory
-CWD=`pwd`
-cd ..
-BASEDIR=`pwd`
-cd $CWD
-MYSQL_TEST_DIR=$BASEDIR/mysql-test
+# ... one level for tar.gz, two levels for a RPM installation
+if [ -d ./bin ] ; then
+ # this is not perfect: we have
+ # /usr/share/mysql/ # mysql-test-run is here, so this is "$MYSQL_TEST_DIR"
+ # /usr/bin/ # with MySQL client programs
+ # so the existence of "/usr/share/bin/" would make this test fail.
+ BASEDIR=`pwd`
+else
+ cd ..
+ BASEDIR=`pwd`
+fi
+
+cd $MYSQL_TEST_DIR
MYSQL_TEST_WINDIR=$MYSQL_TEST_DIR
MYSQLTEST_VARDIR=$MYSQL_TEST_DIR/var
export MYSQL_TEST_DIR MYSQL_TEST_WINDIR MYSQLTEST_VARDIR
@@ -744,8 +755,15 @@
if test -x "$BASEDIR/libexec/mysqld"
then
MYSQLD="$VALGRIND $BASEDIR/libexec/mysqld"
- else
+ elif test -x "$BASEDIR/bin/mysqld"
+ then
MYSQLD="$VALGRIND $BASEDIR/bin/mysqld"
+ elif test -x "$BASEDIR/sbin/mysqld"
+ then
+ MYSQLD="$VALGRIND $BASEDIR/sbin/mysqld"
+ else
+ $ECHO "Fatal error: Cannot find program mysqld in $BASEDIR/{libexec,bin,sbin}" 1>&2
+ exit 1
fi
CLIENT_BINDIR="$BASEDIR/bin"
if test -d "$BASEDIR/tests"
@@ -1390,7 +1408,7 @@
then
$ECHO "set args $master_args" > $GDB_MASTER_INIT$1
$ECHO "To start gdb for the master , type in another window:"
- $ECHO "cd $CWD ; gdb -x $GDB_MASTER_INIT$1 $MASTER_MYSQLD"
+ $ECHO "cd $MYSQL_TEST_DIR ; gdb -x $GDB_MASTER_INIT$1 $MASTER_MYSQLD"
wait_for_master=1500
else
( $ECHO set args $master_args;
@@ -1508,7 +1526,7 @@
then
$ECHO "set args $slave_args" > $GDB_SLAVE_INIT
echo "To start gdb for the slave, type in another window:"
- echo "cd $CWD ; gdb -x $GDB_SLAVE_INIT $SLAVE_MYSQLD"
+ echo "cd $MYSQL_TEST_DIR ; gdb -x $GDB_SLAVE_INIT $SLAVE_MYSQLD"
wait_for_slave=1500
else
( $ECHO set args $slave_args;
--- 1.116/mysql-test/mysql-test-run.pl 2006-11-07 16:58:44 +01:00
+++ 1.117/mysql-test/mysql-test-run.pl 2006-11-07 16:58:44 +01:00
@@ -464,7 +464,7 @@
$glob_hostname= mtr_short_hostname();
- # 'basedir' is always parent of "mysql-test" directory
+ # 'basedir' is always above "mysql-test" directory ...
$glob_mysql_test_dir= cwd();
if ( $glob_cygwin_perl )
{
@@ -472,8 +472,19 @@
$glob_mysql_test_dir= `cygpath -m "$glob_mysql_test_dir"`;
chomp($glob_mysql_test_dir);
}
+ # ... direct parent for "tar.gz" installations, ...
$glob_basedir= dirname($glob_mysql_test_dir);
+ # ... or one more level up, for RPM installations.
+ if ( ! -d "$glob_basedir/bin" )
+ {
+ $glob_basedir= dirname($glob_basedir);
+ }
+ # "mysql-bench" might be installed, but need not be.
$glob_mysql_bench_dir= "$glob_basedir/mysql-bench"; # FIXME make configurable
+ if ( ! -d "$glob_mysql_bench_dir" )
+ {
+ $glob_mysql_bench_dir= undef;
+ }
# needs to be same length to test logging (FIXME what???)
$path_slave_load_tmpdir= "../../var/tmp";
@@ -713,6 +724,13 @@
$opt_vardir= "$glob_mysql_test_dir/$opt_vardir";
}
+ # Ensure a proper error message
+ mkpath("$opt_vardir");
+ unless ( -d $opt_vardir and -w $opt_vardir )
+ {
+ mtr_error("Writable 'var' directory is needed, use the '--vardir' option");
+ }
+
# --------------------------------------------------------------------------
# If not set, set these to defaults
# --------------------------------------------------------------------------
@@ -1154,7 +1172,8 @@
else
{
$exe_mysqld= mtr_exe_exists ("$glob_basedir/libexec/mysqld",
- "$glob_basedir/bin/mysqld");
+ "$glob_basedir/bin/mysqld",
+ "$glob_basedir/sbin/mysqld");
}
$exe_im= mtr_exe_exists("$glob_basedir/libexec/mysqlmanager",
"$glob_basedir/bin/mysqlmanager");
| Thread |
|---|
| • bk commit into 5.0 tree (joerg:1.2281) | Joerg Bruehe | 7 Nov |